Ubuntu

regression in xmonad/gnome -interoperability

Reported by Toni Ruottu on 2009-03-23
4
Affects Status Importance Assigned to Milestone
xmonad
Unknown
Unknown
xmonad (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xmonad

Using xmonad with gnome in current Jaunty development version reveals some problems.
The gnome-panels as well as nautilus-desktop have lost their special status and are treated like ordinary windows.

Toni Ruottu (toni-ruottu) wrote :

I get the following error message "Failed to load interface for
`Graphics.X11.Xlib.Extras': no package matching X11-1.4.1 was found"

Toni Ruottu (toni-ruottu) wrote :
Toni Ruottu (toni-ruottu) wrote :

The problem seems to be that Jaunty has X11-1.4.2 while xmonad is expecting to find an obsoleted version of it.

Joachim Breitner (nomeata) wrote :

Maybe try removing the ~/.xmonad/xmonad.o and ~/.xmonad/xmonad.hi files – I’d be surprised to see that libghc6-xmonad-dev depend on libghc6-x11-dev (= 1.4.2-1) but be built against X11-1.4.1.

Also note that newer pakages are in Debian, maybe they can be merged.

Toni Ruottu (toni-ruottu) wrote :

Got this fixed already. I had some packages installed locally with ghc-pkg, Carefully removing those packages fixed the problem.

Changed in xmonad:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.